void keyPressed() {
  if (key == '>') {
    if (drawspeed < 0) drawspeed = 10;
    else drawspeed += 10;
    if (drawspeed == 120) drawspeed = -1;
  }
  if (key == '~') {
    if (background < 0) background = 0;
    else background += 50;
    if (background == 500) background = -1;
  }
  if (key == '|') {
    if (fov < 0) {
      fov = (PI / 2); 
      
      perspective(fov, float(width)/float(height), cameraZ/10.0, cameraZ*10.0);
      
      cameraZ = (height/2.0) / tan(PI/6);
    }
    else {
      fov += (PI / 8); 
      
      perspective(fov, float(width)/float(height), cameraZ/10.0, cameraZ*10.0);
      
      cameraZ = (height/2.0) / tan(PI/6);
    }
    if (fov == (PI / 12)) {
      fov = -1; 
      
      perspective(fov, float(width)/float(height), cameraZ/10.0, cameraZ*10.0);
      
      cameraZ = (height/2.0) / tan(PI/6);
    }
  }
  if (key == '!') {
    presentationMode = (!presentationMode);
  }
  if (key == '+') {
    saveFrame("AzureVideoIndexerInsights3DGraph-####.png");
  }
}
